package org.ta.pdd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName("order_update")
public class OrderUpdateEntity {

    
    @TableId(value = "uid")
    private String uid;

    @TableField(value = "created")
    private String created;

    @TableField(value = "updated")
    private String updated;

    @TableField(value = "state")
    private Integer state;

    @TableField(value = "remarks")
    private String remarks;

    @TableField(value = "status")
    private Integer status;

    @TableField(value = "providerCode")
    private String providerCode;

    @TableField(value = "consoWarehouseCode")
    private String consoWarehouseCode;

    @TableField(value = "logisticsOrderCode")
    private String logisticsOrderCode;

    @TableField(value = "packageQuantity")
    private Long packageQuantity;

    @TableField(value = "mailDetails")
    private String mailDetails;

    @TableField(value = "tags")
    private String tags;

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getUpdated() {
        return updated;
    }

    public void setUpdated(String updated) {
        this.updated = updated;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getProviderCode() {
        return providerCode;
    }

    public void setProviderCode(String providerCode) {
        this.providerCode = providerCode;
    }

    public String getConsoWarehouseCode() {
        return consoWarehouseCode;
    }

    public void setConsoWarehouseCode(String consoWarehouseCode) {
        this.consoWarehouseCode = consoWarehouseCode;
    }

    public String getLogisticsOrderCode() {
        return logisticsOrderCode;
    }

    public void setLogisticsOrderCode(String logisticsOrderCode) {
        this.logisticsOrderCode = logisticsOrderCode;
    }

    public Long getPackageQuantity() {
        return packageQuantity;
    }

    public void setPackageQuantity(Long packageQuantity) {
        this.packageQuantity = packageQuantity;
    }

    public String getMailDetails() {
        return mailDetails;
    }

    public void setMailDetails(String mailDetails) {
        this.mailDetails = mailDetails;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }
}
